<?php
    include './conexion.php';

    //$semana='39'; //2024-09-20 al 2024-09-26
    $status=null;
    $semana=$_POST['semana'];
    $inicio=null;
    $final=null;
    $hrs=null;
    $sql_semana= "select * from periodos where semana='".$semana."'";
    $sqls = mysqli_query($connection, $sql_semana);
    $resultx=mysqli_num_rows($sqls);
    if($resultx>0){
        while($data=mysqli_fetch_array($sqls)){
            $inicio=$data['fechaInicial'];
            $final=$data['fechaFinal'];
        }
    }

    function checadas($iniciox,$conection,$empleado){
        $campos=null;
        $fecha= new DateTime($iniciox);        
        $hrx='00:00:00';
        $hrs=null;
        for($i=0;$i<7;$i++){

            if($i==0){
                $campos.='<td>'.valores($iniciox,$conection,$empleado).'</td>';
            }else{
                $fecha->modify('+1 day');
                $fecha2=$fecha->format('Y-m-d');
                $campos.='<td>'.valores($fecha2,$conection,$empleado).'</td>';
                
            }

            
        }
        $campos.='<td></td>';
        $campos.='</tr>';
        $hrx='00:00:00';

        return $campos;
    }

    function valores($inicio,$conection,$empleado){
        $valor=null;
        
        $sql= "select * from datos_checadas where fecha='".$inicio."' and empleado='".$empleado."'";
        $sqlx = mysqli_query($conection, $sql);
        $resultx=mysqli_num_rows($sqlx);
                    if($resultx>0){
                        while($data=mysqli_fetch_array($sqlx)){
                            //$hrs+=$data['diferencia_horas'];
                            if($data['horaSalida']==null){
                                $valor.=$data['horaEntrada'].'<br>';
                            }else {
                                $valor.=$data['horaEntrada']." a ".$data['horaSalida'].'<br>';
                            }
                            
                        }

                    }else{
                        $valor.='Sin checada';
                    }
        return $valor;
        

    }
    $sql="select * from datos_checadas where fecha between '".$inicio."' and '".$final."' group  by empleado order by fecha DESC";
    $sqlx = mysqli_query($connection, $sql);
    $resultx=mysqli_num_rows($sqlx);

    if($resultx==0){
        $status.='Sin Datos';
    }else{
        $status.="<table border='1' style='font-size:10pt; border-collapse:collapse;'>
        <tr>
            <th>Num Emp.</th>
            <th style='width:250px;'>Nombre</th>
            <th style='width:120px;'>V</th>
            <th style='width:120px;'>S</th>
            <th style='width:120px;'>D</th>
            <th style='width:120px;'>L</th>
            <th style='width:120px;'>M</th>
            <th style='width:120px;'>Mi</th>
            <th style='width:120px;'>J</th>
            <th>Total de horas</th>
        </tr>";
    
        
            $sql="select * from datos_checadas where fecha between '".$inicio."' and '".$final."' group  by empleado order by fecha DESC";
            $sqlx = mysqli_query($connection, $sql);
            $resultx=mysqli_num_rows($sqlx);
            $x=0;;
                        if($resultx>0){
                            while($data=mysqli_fetch_array($sqlx)){
                                
                                $status.= '<tr>
                                <td>'.$data['empleado'].'</td>
                                <td>'.$data['nombre'].'</td>'.checadas($inicio,$connection,$data['empleado']).'
                                
                                <tr>';
                                
                            }
                        } 
    
    
    $status.="</table>";
    }


    

$mensaje = array(
    'respuesta' => $status
);
    
echo json_encode($mensaje);		
?>